Get Connect Connection
curl --request GET \
--url https://api.rangler.co/v1/connect/connections/{connection_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/connect/connections/{connection_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/connect/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_user_id": "<string>",
"environment": "test",
"status": "active",
"consent_scopes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"institution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"auth_type": "<string>",
"supports_accounts": true,
"supports_positions": true,
"supports_transactions": true,
"logo_url": "<string>",
"credential_fields": [
{
"name": "username",
"label": "<string>",
"input_type": "text",
"autocomplete": "<string>",
"placeholder": "<string>"
}
]
},
"last_synced_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"latest_sync": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"trigger_source": "<string>",
"accounts_count": 123,
"positions_count": 123,
"transactions_count": 123,
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"error_message": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Connect
Get Connect Connection
GET
/
v1
/
connect
/
connections
/
{connection_id}
Get Connect Connection
curl --request GET \
--url https://api.rangler.co/v1/connect/connections/{connection_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/connect/connections/{connection_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/connect/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"institution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_user_id": "<string>",
"environment": "test",
"status": "active",
"consent_scopes": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"institution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"auth_type": "<string>",
"supports_accounts": true,
"supports_positions": true,
"supports_transactions": true,
"logo_url": "<string>",
"credential_fields": [
{
"name": "username",
"label": "<string>",
"input_type": "text",
"autocomplete": "<string>",
"placeholder": "<string>"
}
]
},
"last_synced_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"latest_sync": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"trigger_source": "<string>",
"accounts_count": 123,
"positions_count": 123,
"transactions_count": 123,
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"error_message": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Path Parameters
Query Parameters
Required string length:
1 - 160Response
Successful Response
Available options:
test, live Available options:
active, login_required, revoked, error Show child attributes
Show child attributes
Show child attributes
Show child attributes